Change primary domain of an environment
curl --request PUT \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-primary-domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"run_search_and_replace": true
}
'{
"message": "Changing primary site domain in progress",
"status": 202,
"operation_id": "sites:change-primary-domain-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}WordPress Site Domains
Change primary domain of an environment
PUT
/
sites
/
environments
/
{env_id}
/
change-primary-domain
Change primary domain of an environment
curl --request PUT \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-primary-domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"run_search_and_replace": true
}
'{
"message": "Changing primary site domain in progress",
"status": 202,
"operation_id": "sites:change-primary-domain-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
⌘I